## tp-conf-srv 0.80

=== debian/changelog ===
tp-conf-srv (0.80) wheezy; urgency=low

  * Change section from taguspark to dsi

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 17:14:58 +0000

tp-conf-srv (0.79) wheezy; urgency=low

  * Use dpkg-maintscript-helper to remove udev rule for android

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:59:52 +0000

tp-conf-srv (0.78) squeeze; urgency=low

  * Remove udev rule for android as it is not correct

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 14:31:16 +0000

tp-conf-srv (0.77) squeeze; urgency=low

  * Update Makefile and debian/rules to version 0.24
  * Extend TpConfSrvTigerNetFiles to include check find_files.
  * Change default value for TpSrvConfNtpRef to reference
  * Update maintainer name to Jose M Calhariz

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 03 Dec 2013 16:57:00 +0000

tp-conf-srv (0.76) squeeze; urgency=low

  * More listening process on tiger

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 25 Nov 2012 19:42:48 +0000

tp-conf-srv (0.75) squeeze; urgency=low

  * More listening process on tiger

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Thu, 01 Nov 2012 18:08:39 +0000

tp-conf-srv (0.74) squeeze; urgency=low

  * Remove support for nrpe.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 31 Aug 2012 19:02:58 +0100

tp-conf-srv (0.73) squeeze; urgency=low

  * Update for sysklogd from wheezy.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 31 Aug 2012 14:57:42 +0100

tp-conf-srv (0.72) squeeze; urgency=low

  * openssh-server on lenny and newer have X11Forwarding enabled, announce
    as obsolete to configure this file by patching /etc/ssh/sshd_config.
  * Makefile updated to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 10 Jun 2012 18:11:59 +0100

tp-conf-srv (0.71) updates; urgency=critical

  * kernel_hooks don't need to generate errors.  The errors can be easily
    solved by the user and can break kernels installs because of minor
    errors.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 23 Sep 2011 11:11:05 +0100

tp-conf-srv (0.70) updates; urgency=low

  * Better defaults on tiger tests for common case of servers and desktop
    computers.
  * Add console users to group fuse.
  * Give users that login by sshd the group fuse.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 29 Aug 2011 21:28:13 +0100

tp-conf-srv (0.69) updates; urgency=low

  * Create options to disable slow checks on tigercron
  * Created kernel hooks for when installing kernels the update-grub is
    run with a configured /etc/defaut/grub.
  * Configure /etc/default/rcS for sequencial boot when using insserv,
    better for spotting boot problems with servers.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 22 Aug 2011 12:17:22 +0100

tp-conf-srv (0.68) updates; urgency=low

  * Makefile updated to v0.17
  * Updated rules to v0.14
  * Fix name of patch for reference ntp on squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 17 Aug 2011 14:28:23 +0100

tp-conf-srv (0.67) updates; urgency=low

  * Remove warning about support for lenny sysctl.conf.
  * Added support for configuring grub2

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 16:14:20 +0100

tp-conf-srv (0.66) updates; urgency=low

  * Reduced logging of snmpd because of spurious error messages in the
    presence of bridge or bonded interfaces, proposed solution in Bug
    #559109.
  * More information in README.Debian about the lack of MIB files for
    snmpd daemon.
  * Some lintian clean.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 31 Mar 2011 21:12:16 +0100

tp-conf-srv (0.65) updates; urgency=low

  * Enable access to snmpd from Tagus networks

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 29 Mar 2011 15:15:41 +0100

tp-conf-srv (0.64) updates; urgency=low

  * Updated for /etc/ntp.conf from squeeze.
  * Correct the order for deapplying the patches for /etc/snmp/snmpd.conf
    from squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 28 Mar 2011 19:26:18 +0100

tp-conf-srv (0.63) updates; urgency=low

  * Updated for /etc/default/snmpd from squeeze.
  * Updated for /etc/snmp/snmpd.conf from squeeze.
  * Added original files from squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 21 Mar 2011 19:44:44 +0000

tp-conf-srv (0.62) updates; urgency=low

  * Makefile updated to v0.16
  * Only apply nrpe patches if exists /etc/nagios/nrpe.cfg.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 03 Mar 2011 18:07:07 +0000

tp-conf-srv (0.61) updates; urgency=low

  * Added udev rule for adb (Android Bidge Device) device be assigned to
    plugdev group.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 18:33:57 +0000

tp-conf-srv (0.60) updates; urgency=low

  * 10_acct_cron.daily_v0: savelog for /var/log/account/pacct use date for
    rolling.
  * Updated to v0.14
  * Experimental code for a new way of tagging a release in subversion

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 01:07:34 +0000

tp-conf-srv (0.59) updates; urgency=low

  * 10_tripwire_twcfgtxt_squeeze_v00: tripwire for squeeze changed the
    editor from vi to editor.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 05 Dec 2010 22:55:34 +0000

tp-conf-srv (0.58) updates; urgency=low

  * TpConfJavaAlternative option to choosing a Java implementation.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 02 Dec 2010 22:56:43 +0000

tp-conf-srv (0.57) updates; urgency=low

  * Make the option TpConfSrvConsolePermissions work, was allways
    disabled.
  * /10_security_group.conf_v00: add dialout group to users for option
    TpConfSrvConsolePermissions.
  * 00list: commented all patches, dpatch still work as needed and helps
    the developement of the package.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 10 Nov 2010 21:33:02 +0000



## tp-conf-srv 0.81

=== debian/changelog ===
tp-conf-srv (0.81) squeeze; urgency=low

  * More listenning processes.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 23 Apr 2014 17:21:50 +0100

## tp-conf-srv 0.82

=== debian/changelog ===
tp-conf-srv (0.82) jessie; urgency=medium

  * Update for jessie snmpd, dropped support for old snmpds or old system
    of ACLs.

 -- Jose M Calhariz <calhariz@debian.org>  Thu, 08 Jun 2017 16:21:32 +0100

## tp-conf-srv 0.83

=== debian/changelog ===
tp-conf-srv (0.83) jessie; urgency=medium

  * Detect new cron daily from acct.
  * Drop support for very old default/bootlogd.
  * Drop support for old grub or grub-legacy.
  * Drop support for old sysctl.conf, pre sysctl.d directory.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 11 Jun 2017 19:19:27 +0100

## tp-conf-srv 0.84

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
GCONFDEFDIR=/usr/share/gconf/defaults
INSSERVOVER=/etc/insserv/overrides
SYSCTLCONFDIR=/etc/sysctl.d
UDEVRULESD=/etc/udev/rules.d
KERNELOOKSPOSTINST=/etc/kernel/postinst.d
KERNELOOKSPOSTRM=/etc/kernel/postrm.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp configure-tp-conf-srv
configure-up-stamp:
	touch configure-up-stamp


configure-tp-srv-conf:configure-tp-srv-conf-up-stamp
configure-tp-srv-conf-up-stamp:
	gen-spatch tp-srv-conf / /etc/tp-srv-conf
	mv spatch spatch-tp-srv-conf
	touch configure-tp-srv-conf-up-stamp


configure-tp-conf-srv:configure-tp-conf-srv-up-stamp
configure-tp-conf-srv-up-stamp:
	gen-spatch tp-conf-srv / /etc/tp-conf-srv
	mv spatch spatch-tp-conf-srv
	touch configure-tp-conf-srv-up-stamp


configure-test:configure-test-up-stamp
configure-test-up-stamp:
	gen-spatch $(PACKNAME) tmp tmp
	touch configure-test-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	touch install-up-stamp

install-%:build
	echo $*
	mkdir -p $(DESTDIR)/$(ETCBASE)/$*/debian
	mkdir -p $(DESTDIR)/$(SBINDIR)
	mkdir -p $(DESTDIR)/$(USRSHAREBASE)/$*
	mkdir -p $(DESTDIR)/$(GCONFDEFDIR)
	mkdir -p $(DESTDIR)$(INSSERVOVER)
	mkdir -p $(DESTDIR)$(SYSCTLCONFDIR)
	mkdir -p $(DESTDIR)$(UDEVRULESD)
	mkdir -p $(DESTDIR)$(KERNELOOKSPOSTINST) $(DESTDIR)$(KERNELOOKSPOSTRM)
	tar cf - --exclude=.svn --exclude=CVS rules patches |  tar xf - -C $(DESTDIR)/$(ETCBASE)/$*/debian
	cp changelog $(DESTDIR)/$(ETCBASE)/$*/debian
	install -m 755 spatch-$* $(DESTDIR)/$(USRSHAREBASE)/$*/spatch
	cp update-$** $(DESTDIR)/$(SBINDIR)/
	cp upgrade-$* $(DESTDIR)/$(USRSHAREBASE)/$*
	cp -f $*-config $(DESTDIR)/$(USRSHAREBASE)/$*/ || true
	cp -a update-tripwire $(DESTDIR)/$(USRSHAREBASE)/$*
	cp *.preseed $(DESTDIR)/$(USRSHAREBASE)/$*
	cp $*.conf $(DESTDIR)/$(ETCBASE)/$*
	mkdir -p $(DESTDIR)/etc/apt/apt.conf.d
	cp 20_galeon_cache $(DESTDIR)/$(GCONFDEFDIR)/
	cp 80_tp-conf-srv.conf z99personal.conf $(DESTDIR)$(SYSCTLCONFDIR)
	cp insserv/* $(DESTDIR)$(INSSERVOVER)
	#cp rules.d/* $(DESTDIR)$(UDEVRULESD)
	cp tp-conf-srv.apt $(DESTDIR)/etc/apt/apt.conf.d/95tp-conf-srv
	cp kernel_hooks/* $(DESTDIR)$(KERNELOOKSPOSTINST)
	cp kernel_hooks/* $(DESTDIR)$(KERNELOOKSPOSTRM)
	tar cf - --exclude=.svn --exclude=CVS orig.v* | tar xf - -C $(DESTDIR)/$(USRSHAREBASE)/$*



# 	mkdir -p $(DESTDIR)/$(ETCDIR)/debian
# 	mkdir -p $(DESTDIR)/$(BINDIR)
# 	mkdir -p $(DESTDIR)/$(USRSHARE)
# 	tar cf - --exclude=.svn --exclude=CVS rules patches |  tar xf - -C $(DESTDIR)/$(ETCDIR)/debian
# 	install -m 755 spatch $(DESTDIR)/$(USRSHARE)/spatch
# 	cp update-$(PACKNAME) $(DESTDIR)/$(BINDIR)/update-$(PACKNAME)
# 	cp $(PACKNAME)-config $(DESTDIR)/$(USRSHARE)
# 	cp -a update-tripwire $(DESTDIR)/$(USRSHARE)
# 	cp *.preseed $(DESTDIR)/$(USRSHARE)
# 	cp $(PACKNAME).conf $(DESTDIR)/$(ETCDIR)
# 	tar cf - --exclude=.svn --exclude=CVS orig | tar xf - -C $(DESTDIR)/$(USRSHARE)



clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
	rm -f *-up-stamp spatch-*


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-conf-srv (0.84) jessie; urgency=medium

  * Change defaults of tiger tests, to a more suitable for storage servers
    with very big filesystems ou clients of network filesystems.

 -- Jose M Calhariz <calhariz@debian.org>  Mon, 19 Jun 2017 13:58:46 +0100

=== debian/control ===
Source: tp-conf-srv
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0), cal-scripts (>= 0.17)
Standards-Version: 3.6.1

Package: tp-conf-srv
Architecture: all
Conflicts: tp-srv-conf (<< 0.25)
Depends: dpatch, dpkg-dev, gcc | c-compiler, make | build-essential,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: logrotate (>= 3.7.1)
Suggests: tp-conf-ldap-client
Description: scripts and patches to configure a server
 Includes patches and scripts to automatically configure a machine
 like a tipical server.
 .
 Patch and script to configure tripwire.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) install-tp-conf-srv DESTDIR=$(CURDIR)/debian/$(PACKAGE)


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
